Summary: A utility for creating TTY dialog boxes
Name: dialog
%global dialogsubversion 20130523
Version: 1.2
%define base_release .1
Release: 2.%{dialogsubversion}%{?dist}%{?base_release}
ExcludeArch: mips64 ppca2 ppc476 ppcnf
License: LGPLv2
Group: Applications/System
URL: http://invisible-island.net/dialog/dialog.html
Source: ftp://invisible-island.net/dialog/dialog-%{version}-%{dialogsubversion}.tgz
BuildRequires: ncurses-devel gettext findutils libtool
Patch1: dialog-incdir.patch
Patch2: dialog-multilib.patch
Patch3: dialog-libs.patch

%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Install dialog if you would like to create TTY dialog boxes.

%package devel 
Summary: Development files for building applications with the dialog library
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release} ncurses-devel

%description devel
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces. This package 
contains the files needed for developing applications, which use the 
dialog library.

%prep
%setup -q -n dialog-%{version}-%{dialogsubversion}
%patch1 -p1 -b .incdir
%patch2 -p1 -b .multilib
%patch3 -p1 -b .libs

%build
%configure \
	--enable-nls \
	--with-libtool \
	--with-ncursesw \
	--includedir=%{_includedir}/dialog
make %{?_smp_mflags}

%install
# prepare packaged samples
rm -rf _samples
mkdir _samples
cp -a samples _samples
rm -rf _samples/samples/install
find _samples -type f -print0 | xargs -0 chmod a-x

make install DESTDIR=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT%{_libdir}/libdialog.so.*.*.*
rm -f $RPM_BUILD_ROOT%{_libdir}/libdialog.{,l}a

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc COPYING dialog.lsm README _samples/samples
%{_bindir}/dialog
%{_libdir}/libdialog.so.*
%{_mandir}/man1/dialog.*

%files devel
%{_bindir}/dialog-config
%{_includedir}/dialog
%{_libdir}/libdialog.so
%{_mandir}/man3/dialog.*

%changelog
* Mon Aug 04 2014 baseuser@ibm.com
- Base-f19.x spec file
